package com.sundot.airport.system.service;

import java.util.List;

import com.sundot.airport.system.domain.BaseSeizeItem;

/**
 * 查获物品Service接口
 *
 * @author ruoyi
 * @date 2025-07-08
 */
public interface IBaseSeizeItemService {
    /**
     * 查询查获物品
     *
     * @param id 查获物品主键
     * @return 查获物品
     */
    public BaseSeizeItem selectBaseSeizeItemById(Long id);

    /**
     * 查询查获物品列表
     *
     * @param baseSeizeItem 查获物品
     * @return 查获物品集合
     */
    public List<BaseSeizeItem> selectBaseSeizeItemList(BaseSeizeItem baseSeizeItem);

    /**
     * 新增查获物品
     *
     * @param baseSeizeItem 查获物品
     * @return 结果
     */
    public int insertBaseSeizeItem(BaseSeizeItem baseSeizeItem);

    /**
     * 修改查获物品
     *
     * @param baseSeizeItem 查获物品
     * @return 结果
     */
    public int updateBaseSeizeItem(BaseSeizeItem baseSeizeItem);

    /**
     * 批量删除查获物品
     *
     * @param ids 需要删除的查获物品主键集合
     * @return 结果
     */
    public int deleteBaseSeizeItemByIds(Long[] ids);

    /**
     * 删除查获物品信息
     *
     * @param id 查获物品主键
     * @return 结果
     */
    public int deleteBaseSeizeItemById(Long id);

    /**
     * 根据分类编码查询查获物品列表
     *
     * @param categoryCode 分类编码
     * @return 查获物品集合
     */
    public List<BaseSeizeItem> selectSeizeItemListByCategoryCode(String categoryCode);
}
